namespace DuSoft.PcmDb.Entities;

public partial class Kontrahent
{
    public decimal KontrId { get; set; }

    public decimal? AkwId { get; set; }

    public string Nazwa { get; set; } = null!;

    public string NaPrzelewie1 { get; set; } = null!;

    public string NaPrzelewie2 { get; set; } = null!;

    public string Skrot { get; set; } = null!;

    public string Ulica { get; set; } = null!;

    public string Kod { get; set; } = null!;

    public string Miasto { get; set; } = null!;

    public string Telefon { get; set; } = null!;

    public string Fax { get; set; } = null!;

    public string EMail { get; set; } = null!;

    public string Bank { get; set; } = null!;

    public string Konto { get; set; } = null!;

    public string NIP { get; set; } = null!;

    public short Staly { get; set; }

    public short Dostawca { get; set; }

    public decimal RabatDost { get; set; }

    public short FormaPlatDost { get; set; }

    public short TermPlatDost { get; set; }

    public short CzasRealZam { get; set; }

    public short Producent { get; set; }

    public short Odbiorca { get; set; }

    public decimal RabatOdb { get; set; }

    public short FormaPlatOdb { get; set; }

    public short TermPlatOdb { get; set; }

    public decimal MaxKredyt { get; set; }

    public short MaxPoTermPlat { get; set; }

    public string KodKarty { get; set; } = null!;

    public short KartaAktywna { get; set; }

    public DateTime TermWaznKarty { get; set; }

    public short PoziomRabatu { get; set; }

    public string NrAnalityki { get; set; } = null!;

    public string KodKontr { get; set; } = null!;

    public short ZakPracChron { get; set; }

    public short Aktywny { get; set; }

    public string Rezerwa1 { get; set; } = null!;

    public string Rezerwa2 { get; set; } = null!;

    public decimal? CentrKontrId { get; set; }

    public DateTime Zmiana { get; set; }

    public string? IndeksCentr { get; set; }

    public decimal? KontrKrajId { get; set; }

    public string? Poczta { get; set; }

    public string? NrDomu { get; set; }

    public string? NrLokalu { get; set; }

    public short? Osoba { get; set; }

    public virtual Akwizytor? Akw { get; set; }

    public virtual ICollection<CentrStanZgody> CentrStanZgody { get; set; } = new List<CentrStanZgody>();

    public virtual ICollection<DokDodKth> DokDodKth { get; set; } = new List<DokDodKth>();

    public virtual ICollection<DokKontr> DokKontr { get; set; } = new List<DokKontr>();

    public virtual ICollection<DostProd> DostProdDost { get; set; } = new List<DostProd>();

    public virtual ICollection<DostProd> DostProdProd { get; set; } = new List<DostProd>();

    public virtual ICollection<Dostawca> DostawcaNavigation { get; set; } = new List<Dostawca>();

    public virtual ICollection<KontoBankoweKontr> KontoBankoweKontr { get; set; } = new List<KontoBankoweKontr>();

    public virtual ICollection<KontoLoj> KontoLoj { get; set; } = new List<KontoLoj>();

    public virtual Kraj? KontrKraj { get; set; }

    public virtual ICollection<KontrOpis> KontrOpis { get; set; } = new List<KontrOpis>();

    public virtual ICollection<NrRej> NrRej { get; set; } = new List<NrRej>();

    public virtual ICollection<OdbProd> OdbProdOdb { get; set; } = new List<OdbProd>();

    public virtual ICollection<OdbProd> OdbProdProd { get; set; } = new List<OdbProd>();

    public virtual ICollection<Odbiorca> OdbiorcaNavigation { get; set; } = new List<Odbiorca>();

    public virtual ICollection<OfSlownik> OfSlownik { get; set; } = new List<OfSlownik>();

    public virtual ICollection<Oferta> Oferta { get; set; } = new List<Oferta>();

    public virtual ICollection<Osoba> OsobaNavigation { get; set; } = new List<Osoba>();

    public virtual ICollection<PH> PH { get; set; } = new List<PH>();

    public virtual ICollection<PHOdbiorca> PHOdbiorca { get; set; } = new List<PHOdbiorca>();

    public virtual ICollection<PcfUser> PcfUserPcfCustomer { get; set; } = new List<PcfUser>();

    public virtual ICollection<PcfUser> PcfUserPcfLoyaltyCustomer { get; set; } = new List<PcfUser>();

    public virtual ICollection<PcfUser> PcfUserPcfPStation { get; set; } = new List<PcfUser>();

    public virtual ICollection<PcpReceipt> PcpReceipt { get; set; } = new List<PcpReceipt>();

    public virtual Sklep? Sklep { get; set; }

    public virtual ICollection<SklepKontr> SklepKontr { get; set; } = new List<SklepKontr>();

    public virtual ICollection<SklepKontrSklep> SklepKontrSklep { get; set; } = new List<SklepKontrSklep>();

    public virtual ICollection<StanZgody> StanZgody { get; set; } = new List<StanZgody>();

    public virtual ICollection<Towar> Towar { get; set; } = new List<Towar>();

    public virtual ICollection<ZdarzOs> ZdarzOs { get; set; } = new List<ZdarzOs>();

    public virtual ICollection<KthParWartosc> KPW { get; set; } = new List<KthParWartosc>();

    public virtual ICollection<SklepFlagi> SklepFlagi { get; set; } = new List<SklepFlagi>();

    public virtual ICollection<TypOs> TypOs { get; set; } = new List<TypOs>();
}
